summaryrefslogtreecommitdiff
path: root/ci/install-dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install-dependencies.sh')
-rwxr-xr-xci/install-dependencies.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
index 4e64a19112..497fd32ca8 100755
--- a/ci/install-dependencies.sh
+++ b/ci/install-dependencies.sh
@@ -40,16 +40,19 @@ osx-clang|osx-gcc)
test -z "$BREW_INSTALL_PACKAGES" ||
brew install $BREW_INSTALL_PACKAGES
brew link --force gettext
- brew cask install perforce || {
+ brew cask install --no-quarantine perforce || {
# Update the definitions and try again
- git -C "$(brew --repository)"/Library/Taps/homebrew/homebrew-cask pull &&
- brew cask install perforce
+ cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
+ git -C "$cask_repo" pull --no-stat &&
+ brew cask install --no-quarantine perforce
} ||
brew install caskroom/cask/perforce
case "$jobname" in
osx-gcc)
- brew link gcc ||
- brew link gcc@8
+ brew install gcc@9
+ # Just in case the image is updated to contain gcc@9
+ # pre-installed but not linked.
+ brew link gcc@9
;;
esac
;;